2016年09月17日

お天気conky崩壊のわけ(訂正あり)。linux

20160830や20160908辺りの投稿。conkyで
せっかく天気予報を表示できるようになったのに、
すぐダメになった件。

原因は、情報提供側のサーバーにあるのではなく、
システム更新により起こったクライアントpc側の問題で、
表示が壊れていることが判明した。

判った理由。archbang何台かで、お天気conkyを
やってみて、いちばん最初にやった3日ほどだけの予報
を表示するタイプのやつを昨日ひさしぶりに
起動したら、ちゃんと表示していた。あ、修正されたんだ、
と思ったりしたが、システム更新したら、
ほかと同じように、壊れた。

つまり、スクリプト内に使われているなんらかの
コマンドが仕様変更かなにかで、作者の意図する働きを
しなくなっている、と思われる。

以下は、システム更新したときの更新パッケージ、
pacman.logより。

[2016-09-16 22:01] [PACMAN] Running 'pacman -Syyu'
[2016-09-16 22:01] [PACMAN] synchronizing package lists
[2016-09-16 22:01] [PACMAN] starting full system upgrade
[2016-09-16 22:04] [PACMAN] Running 'pacman -Su'
[2016-09-16 22:04] [PACMAN] starting full system upgrade
[2016-09-16 22:12] [ALPM] transaction started
[2016-09-16 22:12] [ALPM] upgraded gcc-libs (6.1.1-5 -> 6.2.1-1)
[2016-09-16 22:12] [ALPM] upgraded gawk (4.1.3-2 -> 4.1.4-1)
[2016-09-16 22:12] [ALPM] upgraded autoconf (2.69-3 -> 2.69-4)
[2016-09-16 22:12] [ALPM] upgraded perl (5.24.0-1 -> 5.24.0-2)
[2016-09-16 22:12] [ALPM] upgraded automake (1.15-1 -> 1.15-2)
[2016-09-16 22:12] [ALPM] upgraded boost-libs (1.60.0-5 -> 1.61.0-2)
[2016-09-16 22:12] [ALPM] upgraded libpng (1.6.24-1 -> 1.6.25-1)
[2016-09-16 22:12] [ALPM] upgraded freetype2 (2.6.5-2 -> 2.7-2)
[2016-09-16 22:12] [ALPM-SCRIPTLET] The Arch-specific FT2_SUBPIXEL_HINTING has been removed.
[2016-09-16 22:12] [ALPM-SCRIPTLET] Subpixel hinting is now configured in /etc/profile.d/freetype2.sh .
[2016-09-16 22:12] [ALPM] upgraded harfbuzz (1.3.0-1 -> 1.3.1-1)
[2016-09-16 22:12] [ALPM] upgraded libutil-linux (2.28.1-1 -> 2.28.2-1)
[2016-09-16 22:12] [ALPM] upgraded e2fsprogs (1.43.1-2 -> 1.43.3-1)
[2016-09-16 22:13] [ALPM] upgraded util-linux (2.28.1-1 -> 2.28.2-1)
[2016-09-16 22:13] [ALPM] upgraded libxml2 (2.9.4+0+gbdec218-2 -> 2.9.4+4+g3169602-1)
[2016-09-16 22:13] [ALPM] upgraded mesa (12.0.1-7 -> 12.0.3-1)
[2016-09-16 22:13] [ALPM] upgraded mesa-libgl (12.0.1-7 -> 12.0.3-1)
[2016-09-16 22:13] [ALPM] upgraded pango (1.40.2-1 -> 1.40.3-1)
[2016-09-16 22:13] [ALPM] upgraded gnutls (3.4.14-1 -> 3.4.15-1)
[2016-09-16 22:13] [ALPM] upgraded sqlite (3.14.1-1 -> 3.14.2-1)
[2016-09-16 22:13] [ALPM] upgraded gsettings-desktop-schemas (3.21.2-1 -> 3.21.4-1)
[2016-09-16 22:13] [ALPM] upgraded catfish (1.4.2-1 -> 1.4.2-2)
[2016-09-16 22:13] [ALPM] upgraded gtk2 (2.24.30+95+g876b5f7-1 -> 2.24.31-1)
[2016-09-16 22:13] [ALPM] upgraded speech-dispatcher (0.8.4-3 -> 0.8.5-1)
[2016-09-16 22:13] [ALPM] upgraded libxfont (1.5.1-1 -> 1.5.2-1)
[2016-09-16 22:13] [ALPM] upgraded chromium (52.0.2743.116-1 -> 53.0.2785.116-1)
[2016-09-16 22:13] [ALPM] upgraded imagemagick (6.9.5.5-1 -> 6.9.5.9-1)
[2016-09-16 22:13] [ALPM] upgraded cups-filters (1.11.2-1 -> 1.11.3-1)
[2016-09-16 22:13] [ALPM] upgraded curl (7.50.1-1 -> 7.50.2-1)
[2016-09-16 22:13] [ALPM] upgraded device-mapper (2.02.164-1 -> 2.02.165-1)
[2016-09-16 22:13] [ALPM] upgraded dialog (1:1.3_20160424-1 -> 1:1.3_20160828-1)
[2016-09-16 22:13] [ALPM] upgraded enca (1.18-1 -> 1.19-1)
[2016-09-16 22:13] [ALPM] upgraded hdf5 (1.10.0-1 -> 1.10.0_patch1-1)
[2016-09-16 22:13] [ALPM] upgraded orc (0.4.25-2 -> 0.4.26-1)
[2016-09-16 22:13] [ALPM] upgraded firefox-i18n-ja (48.0-1 -> 48.0.2-1)
[2016-09-16 22:13] [ALPM] upgraded flashplugin (11.2.202.632-1 -> 11.2.202.635-1)
[2016-09-16 22:13] [ALPM] upgraded gcc (6.1.1-5 -> 6.2.1-1)
[2016-09-16 22:13] [ALPM] upgraded jansson (2.7-1 -> 2.8-1)
[2016-09-16 22:13] [ALPM] upgraded libnm-glib (1.4.1dev+9+ga3fd485-1 -> 1.4.1dev+33+gc87b89b-1)
[2016-09-16 22:13] [ALPM] upgraded geoclue2 (2.4.3-1 -> 2.4.4-1)
[2016-09-16 22:13] [ALPM] upgraded geoip-database (20160802-1 -> 20160907-1)
[2016-09-16 22:13] [ALPM] upgraded libinput (1.4.1-1 -> 1.4.2-1)
[2016-09-16 22:13] [ALPM] upgraded gpgmepp (16.04.3-1 -> 16.08.1-1)
[2016-09-16 22:13] [ALPM] upgraded harfbuzz-icu (1.3.0-1 -> 1.3.1-1)
[2016-09-16 22:13] [ALPM] installed qt5-translations (5.7.0-1)
[2016-09-16 22:13] [ALPM] upgraded kde-l10n-ja (16.04.3-1 -> 16.08.1-2)
[2016-09-16 22:13] [ALPM] upgraded tdb (1.3.10-1 -> 1.3.11-1)
[2016-09-16 22:13] [ALPM] upgraded libwbclient (4.4.5-1 -> 4.5.0-2)
[2016-09-16 22:13] [ALPM] upgraded tevent (0.9.29-1 -> 1:0.9.29-2)
[2016-09-16 22:13] [ALPM] upgraded smbclient (4.4.5-1 -> 4.5.0-2)
[2016-09-16 22:13] [ALPM] upgraded kdelibs (4.14.22-1 -> 4.14.24-2)
[2016-09-16 22:13] [ALPM] upgraded libakonadi-qt4 (1.13.0-9 -> 1.13.0-10)
[2016-09-16 22:13] [ALPM] upgraded kdebase-runtime (16.04.3-1 -> 16.08.1-1)
[2016-09-16 22:13] [ALPM] upgraded kdegraphics-mobipocket (16.04.3-1 -> 16.08.1-1)
[2016-09-16 22:13] [ALPM] upgraded kglobalaccel (5.25.0-1 -> 5.25.0-2)
[2016-09-16 22:13] [ALPM] upgraded kio (5.25.0-1 -> 5.25.0-2)
[2016-09-16 22:13] [ALPM] upgraded libkdegames (16.04.3-1 -> 16.08.1-1)
[2016-09-16 22:13] [ALPM] upgraded kpatience (16.04.3-1 -> 16.08.1-1)
[2016-09-16 22:13] [ALPM] upgraded libnautilus-extension (3.20.2-1 -> 3.20.3-1)
[2016-09-16 22:13] [ALPM] upgraded mkinitcpio (20-1 -> 21-1)
[2016-09-16 22:14] [ALPM] upgraded linux (4.7.2-1 -> 4.7.3-2)
[2016-09-16 22:14] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2016-09-16 22:14] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio. Please wait...
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Starting build: 4.7.3-2-ARCH
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [base]
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [udev]
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [autodetect]
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [block]
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [filesystems]
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> WARNING: Hook 'usbinput' is deprecated. Replace it with 'keyboard' in your config
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [keyboard]
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Image generation successful
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Starting build: 4.7.3-2-ARCH
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [base]
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [udev]
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [block]
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [filesystems]
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> WARNING: Hook 'usbinput' is deprecated. Replace it with 'keyboard' in your config
[2016-09-16 22:14] [ALPM-SCRIPTLET] -> Running build hook: [keyboard]
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2016-09-16 22:14] [ALPM-SCRIPTLET] ==> Image generation successful
[2016-09-16 22:14] [ALPM] upgraded linux-headers (4.7.2-1 -> 4.7.3-2)
[2016-09-16 22:14] [ALPM] upgraded lvm2 (2.02.164-1 -> 2.02.165-1)
[2016-09-16 22:14] [ALPM] upgraded mutagen (1.34-1 -> 1.34.1-1)
[2016-09-16 22:14] [ALPM] upgraded nano (2.6.3-1 -> 2.7.0-1)
[2016-09-16 22:14] [ALPM] upgraded nautilus (3.20.2-1 -> 3.20.3-1)
[2016-09-16 22:14] [ALPM] upgraded networkmanager (1.4.1dev+9+ga3fd485-1 -> 1.4.1dev+33+gc87b89b-1)
[2016-09-16 22:14] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2016-09-16 22:14] [ALPM] upgraded pacman-mirrorlist (20160823-1 -> 20160913-1)
[2016-09-16 22:14] [ALPM] upgraded prison (1.1.1-2 -> 5.25.0.git20160814-1)
[2016-09-16 22:14] [ALPM] upgraded python-pyparsing (2.1.8-1 -> 2.1.9-1)
[2016-09-16 22:14] [ALPM] upgraded python-setuptools (1:26.1.0-1 -> 1:27.2.0-1)
[2016-09-16 22:14] [ALPM] upgraded python2-pyparsing (2.1.8-1 -> 2.1.9-1)
[2016-09-16 22:14] [ALPM] upgraded python2-setuptools (1:26.1.0-1 -> 1:27.2.0-1)
[2016-09-16 22:14] [ALPM] upgraded source-highlight (3.1.8-8 -> 3.1.8-9)
[2016-09-16 22:14] [ALPM] upgraded unrar (1:5.3.11-1 -> 1:5.4.5-1)
[2016-09-16 22:14] [ALPM] upgraded xf86-video-ati (1:7.7.0-1 -> 1:7.7.1-1)
[2016-09-16 22:14] [ALPM] upgraded xf86-video-intel (1:2.99.917+697+g12c14de-1 -> 1:2.99.917+703+g15c5ff1-1)
[2016-09-16 22:14] [ALPM] upgraded xfce4-notifyd (0.3.0-2 -> 0.3.2-1)
[2016-09-16 22:14] [ALPM] transaction completed
[2016-09-16 22:14] [ALPM] running 'glib-compile-schemas.hook'...
[2016-09-16 22:14] [ALPM] running 'gtk-query-immodules-2.0.hook'...
[2016-09-16 22:14] [ALPM] running 'gtk-update-icon-cache.hook'...
[2016-09-16 22:14] [ALPM] running 'texinfo-install.hook'...
[2016-09-16 22:14] [ALPM] running 'udev-hwdb.hook'...
[2016-09-16 22:14] [ALPM] running 'update-desktop-database.hook'...
[2016-09-16 22:14] [ALPM] running 'update-mime-database.hook'...
[2016-09-16 22:14] [ALPM-SCRIPTLET] Unknown media type in type 'all/all'
[2016-09-16 22:14] [ALPM-SCRIPTLET] Unknown media type in type 'all/allfiles'

conky関係の依存では、libxml2というパッケージの
更新があったが、元へ戻しても壊れた表示は治らず、、、。
catfish,curl,gtk2のダウングレードや、
qt5-translations(依存でkde-l10n-jaも含む)を削除して
みたりしたけれど、戻らなかった。

知らん、ということは、じつに悲しい。
プログラミング経験のある人なら、
表示の不具合さとスクリプトの中身を見れば、
判るんだろうと思います。

で、くだんの
http://crunchbang.org/forums/viewtopic.php?id=19235
”1a_12-2-14 "のリンクは、いま、スクリプトの修正中なのか、
外れていますね。ダウンロードできません。


↓  ↓  ↓  ↓
ところが!
上記のようになっていると思っていましたが、
現に上手く表示できていた別のarchbangを
システム更新などせず何も手をつけずに
再起動しただけで、表示が崩れることが判明。
こちら側のpc問題ではなく、
情報サーバー側のセキュリティ対策らしき仕組みが
働いて、適正に情報を受け取れなくなっている
可能性が浮上してきますた。うーん、わからん!


posted by ブログ開設者 at 08:10| Comment(0) | linux | このブログの読者になる | 更新情報をチェックする

2016年09月15日

ソフトウェアの追加と削除(pamac)。manjaro & archbang

存在は知っていたが、まともに
検証したことはなかった。
manjaro(xfce)上の、pamac。
xfceにプリインストールされていた。
aurにはない。

archに馴れている人だったら、
やっぱり要らないツールかも。
孤立ファイルの削除機能とかは便利かも。
コマンドを忘れても大丈夫。

それと、aurの情報も管理できるようで、
aurからインストールしたアプリケーションに、
更新があった場合も、教えてくれるらしい。

pamac_2016-09-15_21-17-23.jpg

一方、openbox上で使えるものとして、pamac-aurがあった。
こちらは、aurの管理はできないようだ。
リポジトリタブで、archlinuxfrは出るけれど、、、。
その点で、価値は半減かな。依存パッケージとして、
itstool-2.0.2-1 vala-0.32.1-1 vte3-0.44.2-1
が、入った。

2016-09-15--1473941271_847x470_scrot.jpg

いずれにせよ、アプリケーションの依存関係は、
インストール時も、アンインストール時も
管理してくれるようだ。

octopiという似た別のアプリケーションが
aurからインストールできることになっているけど、
やってみたら、エラーになった。PKGBUILDを直せれば、
インストールできるんだろうけど、、、。

それより、
fedoraに昔「ソフトウェアの追加と削除」的guiツールが
あったと思うけど、いまはないの?
gnome-softwareというのは、ちょっと違うかな。

ubuntu(debian)のsynapticは、便利だね。
壊れたパッケージの削除機能とかがある。


posted by ブログ開設者 at 21:51| Comment(0) | linux | このブログの読者になる | 更新情報をチェックする

井山7冠がなぜ強いのか。番外

級位レベルのアマチュアが論じるのも、
おこがましいが、、、。

井山7冠も人の子、対局中に苦悶したりするが、
でも対局相手をぜんぜん見ていない。
盤上の石の並びに集中している。
そこらは、かつての殺し屋加藤とは
まったく違う。

考えてみれば、ネット碁育ちだからね。
361箇所のどこに打つことが最強か、それ以外の
ことにまるで興味がない。
そして、集中力が人間離れしているから、
だれかと夫婦になったり、
夫婦でいる意味も、ないようなものだった
のかもしれない。どんなときにも、
感情の起伏は極めてなだらかで、
打つ指先も石からゆっくり離れる。

それでも、アルファ碁に勝てるかというと、、、

アルファ碁がもっとも得意とする局地戦で、
勝負するタイプの棋士に見える。
盤面全体を複雑化させて、読みの確かさで、
勝つ碁のように見える。

アルファ碁は、どんどん進化するだろうし、
読み間違いもなくなっていくだろう。
まだ、コウは得意じゃないみたいだけど。

いずれは、
アルファ碁にも条件をつけるべきだと思う。
人間は、コア一個でやっているだから、
アフファ碁だって、使えるコアは一個。
つまりシングルコアでやらせるのだ。
ものすごい数のコアで合力されては、
人間、勝ちようがないよ。

さもなきゃ、一流棋士の合議制チームと
戦わせるとか。だって、アフファ碁には
コンピューター内に検証碁盤があり、
並べて着手を考えているのと同じだからね。
けっこうずるいんだよ。

シングルコアだと、検証しきれず時間切れで、
人間がほとんど勝つだろう。

でも人類の未来を描くには、
AIを使ったほうが適切かもしれないね。
それならそれで、悪い奴らの
細工の手が伸びるんだろうか。
自らを防御するシステムが必要だ。

posted by ブログ開設者 at 14:55| Comment(0) | linux | このブログの読者になる | 更新情報をチェックする